Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.HandleFileResponseConfig.NotifyFileResponseConfig

Enclosing interface:
  Configuration.HandleFileResponseConfig

    public static interface Configuration.HandleFileResponseConfig.NotifyFileResponseConfig

For SnF NotifyFile response.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getSw_AckDescription()` Gets the Ack description.
`java.lang.String` | `getSw_AckInfo()` Gets the Ack informtaion.
`void` | `setSw_AckDescription(java.lang.String ackDescription)` Sets the Ack description.
`void` | `setSw_AckInfo(java.lang.String ackInfo)` Sets the Ack informtaion.
`void` | `validate()` Validate method.

Method Detail

### getSw_AckDescription

    java.lang.String getSw_AckDescription()

  Gets the Ack description.

  Parameters:
    None.

  Returns:
    `String` - Returns Ack description.
  Throws:
    None.

### getSw_AckInfo

    java.lang.String getSw_AckInfo()

  Gets the Ack informtaion.

  Parameters:
    None.

  Returns:
    `String` - Returns Ack information.
  Throws:
    None.

### setSw_AckDescription

    void setSw_AckDescription(java.lang.String ackDescription)
                              throws SAGApplicationException

  Sets the Ack description.

  Parameters:
    `ackDescription` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_AckInfo

    void setSw_AckInfo(java.lang.String ackInfo)
                       throws SAGApplicationException

  Sets the Ack informtaion.

  Parameters:
    `ackInfo` -
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validate method.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.